MessagesServiceAsync (gCube Messages Portlet 0.4.0-3.1.0 API)
Date: 2014-05-11

org.gcube.portlets.user.messages.client.rpc

## Interface MessagesServiceAsync

-     public interface MessagesServiceAsync

  The async counterpart of `GreetingService`.

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `deleteMessage(String messageIdentifier, String messageType, com.google.gwt.user.client.rpc.AsyncCallback<Boolean> callback)`
    `void` | `getAllMessagesReceived(com.google.gwt.user.client.rpc.AsyncCallback<List<MessageModel>> callback)`
    `void` | `getAllMessagesSent(com.google.gwt.user.client.rpc.AsyncCallback<List<MessageModel>> callback)`
    `void` | `getMessageById(String messageIdentifier, String messageType, com.google.gwt.user.client.rpc.AsyncCallback<MessageModel> callback)`
    `void` | `getNewMessagesReceived(com.google.gwt.user.client.rpc.AsyncCallback<List<MessageModel>> callback)`
    `void` | `getURLFromApplicationProfile(String identifier, com.google.gwt.user.client.rpc.AsyncCallback<String> asyncCallback)`
    `void` | `isSessionExpired(com.google.gwt.user.client.rpc.AsyncCallback<Boolean> callback)`
    `void` | `markMessage(String messageIdentifier, String messageType, boolean boolMark, String markType, com.google.gwt.user.client.rpc.AsyncCallback<Boolean> callback)`
    `void` | `saveAttach(String attachId, com.google.gwt.user.client.rpc.AsyncCallback<Boolean> callback)`
    `void` | `saveAttachment(String messageIdentifier, String attachmentId, String messageType, com.google.gwt.user.client.rpc.AsyncCallback<String> callback)`
    `void` | `saveAttachments(String messageIdentifier, String messageType, com.google.gwt.user.client.rpc.AsyncCallback<Boolean> callback)`
    `void` | `searchInReceivedMessagesByText(String text, com.google.gwt.user.client.rpc.AsyncCallback<List<MessageModel>> callback)`
    `void` | `searchInSentMessagesByText(String text, com.google.gwt.user.client.rpc.AsyncCallback<List<MessageModel>> callback)`
    `void` | `sendToById(List<String> listContactsId, List<String> listAttachmentsId, String subject, String text, com.google.gwt.user.client.rpc.AsyncCallback<Boolean> callback)`
    `void` | `sentToByMessageModel(MessageModel message, com.google.gwt.user.client.rpc.AsyncCallback<Boolean> callback)`
    `void` | `setAllUserMessageNotificationsRead(com.google.gwt.user.client.rpc.AsyncCallback<Boolean> callback)`

- - ### Method Detail

    - #### getAllMessagesReceived

          void getAllMessagesReceived(com.google.gwt.user.client.rpc.AsyncCallback<List<MessageModel>> callback)

    - #### getAllMessagesSent

          void getAllMessagesSent(com.google.gwt.user.client.rpc.AsyncCallback<List<MessageModel>> callback)

    - #### getMessageById

          void getMessageById(String messageIdentifier,
                            String messageType,
                            com.google.gwt.user.client.rpc.AsyncCallback<MessageModel> callback)

    - #### getNewMessagesReceived

          void getNewMessagesReceived(com.google.gwt.user.client.rpc.AsyncCallback<List<MessageModel>> callback)

    - #### markMessage

          void markMessage(String messageIdentifier,
                         String messageType,
                         boolean boolMark,
                         String markType,
                         com.google.gwt.user.client.rpc.AsyncCallback<Boolean> callback)

    - #### saveAttach

          void saveAttach(String attachId,
                        com.google.gwt.user.client.rpc.AsyncCallback<Boolean> callback)

    - #### saveAttachments

          void saveAttachments(String messageIdentifier,
                             String messageType,
                             com.google.gwt.user.client.rpc.AsyncCallback<Boolean> callback)

    - #### searchInReceivedMessagesByText

          void searchInReceivedMessagesByText(String text,
                                            com.google.gwt.user.client.rpc.AsyncCallback<List<MessageModel>> callback)

    - #### searchInSentMessagesByText

          void searchInSentMessagesByText(String text,
                                        com.google.gwt.user.client.rpc.AsyncCallback<List<MessageModel>> callback)

    - #### sendToById

          void sendToById(List<String> listContactsId,
                        List<String> listAttachmentsId,
                        String subject,
                        String text,
                        com.google.gwt.user.client.rpc.AsyncCallback<Boolean> callback)

    - #### sentToByMessageModel

          void sentToByMessageModel(MessageModel message,
                                  com.google.gwt.user.client.rpc.AsyncCallback<Boolean> callback)

    - #### deleteMessage

          void deleteMessage(String messageIdentifier,
                           String messageType,
                           com.google.gwt.user.client.rpc.AsyncCallback<Boolean> callback)

    - #### setAllUserMessageNotificationsRead

          void setAllUserMessageNotificationsRead(com.google.gwt.user.client.rpc.AsyncCallback<Boolean> callback)

    - #### getURLFromApplicationProfile

          void getURLFromApplicationProfile(String identifier,
                                          com.google.gwt.user.client.rpc.AsyncCallback<String> asyncCallback)

    - #### saveAttachment

          void saveAttachment(String messageIdentifier,
                            String attachmentId,
                            String messageType,
                            com.google.gwt.user.client.rpc.AsyncCallback<String> callback)

    - #### isSessionExpired

          void isSessionExpired(com.google.gwt.user.client.rpc.AsyncCallback<Boolean> callback)

Copyright © 2014. All Rights Reserved.